# xoxys.zigbee2mqtt
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.zigbee2mqtt/status.svg)](https://drone.rknet.org/ansible/xoxys.zigbee2mqtt)


Role to setup zigbee2mqtt

## Table of content

* [Default Variables](#default-variables)
  * [zigbee2mqtt_version](#zigbee2mqtt_version)
  * [zigbee2mqtt_user](#zigbee2mqtt_user)
  * [zigbee2mqtt_group](#zigbee2mqtt_group)
  * [zigbee2mqtt_secondary_groups](#zigbee2mqtt_secondary_groups)
  * [zigbee2mqtt_service_state](#zigbee2mqtt_service_state)
  * [zigbee2mqtt_service_restart_state](#zigbee2mqtt_service_restart_state)
  * [zigbee2mqtt_base_dir](#zigbee2mqtt_base_dir)
  * [zigbee2mqtt_log_dir](#zigbee2mqtt_log_dir)
  * [zigbee2mqtt_log_level](#zigbee2mqtt_log_level)
  * [zigbee2mqtt_logrotate_enabled](#zigbee2mqtt_logrotate_enabled)
  * [zigbee2mqtt_logrotate_config](#zigbee2mqtt_logrotate_config)
  * [zigbee2mqtt_homeassistant_enabled](#zigbee2mqtt_homeassistant_enabled)
  * [zigbee2mqtt_permit_join](#zigbee2mqtt_permit_join)
  * [zigbee2mqtt_mqtt_base_topic](#zigbee2mqtt_mqtt_base_topic)
  * [zigbee2mqtt_mqtt_server](#zigbee2mqtt_mqtt_server)
  * [zigbee2mqtt_mqtt_client_id](#zigbee2mqtt_mqtt_client_id)
  * [zigbee2mqtt_mqtt_reject_unauthorized](#zigbee2mqtt_mqtt_reject_unauthorized)
  * [zigbee2mqtt_mqtt_include_device_information](#zigbee2mqtt_mqtt_include_device_information)
  * [zigbee2mqtt_serial_disable_led](#zigbee2mqtt_serial_disable_led)
  * [zigbee2mqtt_pan_id](#zigbee2mqtt_pan_id)
  * [zigbee2mqtt_ext_pan_id](#zigbee2mqtt_ext_pan_id)
  * [zigbee2mqtt_channel](#zigbee2mqtt_channel)
  * [zigbee2mqtt_cache_state](#zigbee2mqtt_cache_state)
  * [zigbee2mqtt_last_seen](#zigbee2mqtt_last_seen)
  * [zigbee2mqtt_elapsed](#zigbee2mqtt_elapsed)
  * [zigbee2mqtt_report_enabled](#zigbee2mqtt_report_enabled)
  * [zigbee2mqtt_homeassistant_discovery_topic](#zigbee2mqtt_homeassistant_discovery_topic)
  * [zigbee2mqtt_homeassistant_status_topic](#zigbee2mqtt_homeassistant_status_topic)
  * [zigbee2mqtt_devices_ban](#zigbee2mqtt_devices_ban)
  * [zigbee2mqtt_devices_whitelist](#zigbee2mqtt_devices_whitelist)
  * [zigbee2mqtt_mqtt_user](#zigbee2mqtt_mqtt_user)
  * [zigbee2mqtt_mqtt_password](#zigbee2mqtt_mqtt_password)
  * [zigbee2mqtt_serial_port](#zigbee2mqtt_serial_port)
  * [zigbee2mqtt_network_key](#zigbee2mqtt_network_key)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### zigbee2mqtt_version

#### Default value

```YAML
zigbee2mqtt_version: 1.5.1
```

### zigbee2mqtt_user

#### Default value

```YAML
zigbee2mqtt_user: zigbee2mqtt
```

### zigbee2mqtt_group

#### Default value

```YAML
zigbee2mqtt_group: zigbee2mqtt
```

### zigbee2mqtt_secondary_groups

#### Default value

```YAML
zigbee2mqtt_secondary_groups:
  - tty
  - dialout
```

### zigbee2mqtt_service_state

#### Default value

```YAML
zigbee2mqtt_service_state: started
```

### zigbee2mqtt_service_restart_state

#### Default value

```YAML
zigbee2mqtt_service_restart_state: restarted
```

### zigbee2mqtt_base_dir

#### Default value

```YAML
zigbee2mqtt_base_dir: /opt/zigbee2mqtt
```

### zigbee2mqtt_log_dir

#### Default value

```YAML
zigbee2mqtt_log_dir: '{{ zigbee2mqtt_base_dir }}/log'
```

### zigbee2mqtt_log_level

#### Default value

```YAML
zigbee2mqtt_log_level: info
```

### zigbee2mqtt_logrotate_enabled

#### Default value

```YAML
zigbee2mqtt_logrotate_enabled: true
```

### zigbee2mqtt_logrotate_config

#### Default value

```YAML
zigbee2mqtt_logrotate_config:
  - log: '{{ zigbee2mqtt_log_dir }}/log.txt'
    options:
      - weekly
      - rotate 5
      - maxsize 512K
      - compress
      - delaycompress
      - create 640 {{ zigbee2mqtt_user }} {{ zigbee2mqtt_group }}
```

### zigbee2mqtt_homeassistant_enabled

#### Default value

```YAML
zigbee2mqtt_homeassistant_enabled: false
```

### zigbee2mqtt_permit_join

#### Default value

```YAML
zigbee2mqtt_permit_join: true
```

### zigbee2mqtt_mqtt_base_topic

#### Default value

```YAML
zigbee2mqtt_mqtt_base_topic: zigbee2mqtt
```

### zigbee2mqtt_mqtt_server

#### Default value

```YAML
zigbee2mqtt_mqtt_server: mqtt://localhost:1883
```

### zigbee2mqtt_mqtt_client_id

#### Default value

```YAML
zigbee2mqtt_mqtt_client_id: zigbee2mqtt
```

### zigbee2mqtt_mqtt_reject_unauthorized

#### Default value

```YAML
zigbee2mqtt_mqtt_reject_unauthorized: false
```

### zigbee2mqtt_mqtt_include_device_information

#### Default value

```YAML
zigbee2mqtt_mqtt_include_device_information: false
```

### zigbee2mqtt_serial_disable_led

#### Default value

```YAML
zigbee2mqtt_serial_disable_led: false
```

### zigbee2mqtt_pan_id

#### Default value

```YAML
zigbee2mqtt_pan_id: '0x1a62'
```

### zigbee2mqtt_ext_pan_id

#### Default value

```YAML
zigbee2mqtt_ext_pan_id: '[0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD, 0xDD]'
```

### zigbee2mqtt_channel

#### Default value

```YAML
zigbee2mqtt_channel: 11
```

### zigbee2mqtt_cache_state

#### Default value

```YAML
zigbee2mqtt_cache_state: true
```

### zigbee2mqtt_last_seen

#### Default value

```YAML
zigbee2mqtt_last_seen: disable
```

### zigbee2mqtt_elapsed

#### Default value

```YAML
zigbee2mqtt_elapsed: false
```

### zigbee2mqtt_report_enabled

#### Default value

```YAML
zigbee2mqtt_report_enabled: false
```

### zigbee2mqtt_homeassistant_discovery_topic

#### Default value

```YAML
zigbee2mqtt_homeassistant_discovery_topic: homeassistant
```

### zigbee2mqtt_homeassistant_status_topic

#### Default value

```YAML
zigbee2mqtt_homeassistant_status_topic: hass/status
```

### zigbee2mqtt_devices_ban

#### Default value

```YAML
zigbee2mqtt_devices_ban: []
```

### zigbee2mqtt_devices_whitelist

#### Default value

```YAML
zigbee2mqtt_devices_whitelist: []
```

### zigbee2mqtt_mqtt_user

#### Default value

```YAML
zigbee2mqtt_mqtt_user: _unset_
```

### zigbee2mqtt_mqtt_password

#### Default value

```YAML
zigbee2mqtt_mqtt_password: _unset_
```

### zigbee2mqtt_serial_port

#### Default value

```YAML
zigbee2mqtt_serial_port: _unset_
```

#### Example usage

```YAML
zigbee2mqtt_serial_port: /dev/ttyACM0
```

### zigbee2mqtt_network_key

#### Default value

```YAML
zigbee2mqtt_network_key: _unset_
```

#### Example usage

```YAML
zigbee2mqtt_network_key: "'[1, 3, 5, 7, 9, 11, 13, 15, 0, 2, 4, 6, 8, 10, 12, 13]'"
```

## Dependencies

None.

## License

MIT

## Author

xoxys
